@ECHO OFF
ECHO AP============== Start of APDD    batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST APDDF.DCT GOTO DICTOK
ECHO APDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.APE DEL DICT.APE > NUL
IF EXIST %HGSYSTEM%\DICT.APD DEL %HGSYSTEM%\DICT.APD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO APDDF > HGSYST$$.TIT
ECHO API >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.APD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, APDDF.DCT
REM Output: %HGSYSTEM%\DICT.APD
REM         DICT.APE (in case of errors)
ECHO Preprocessing of AEROPLUME data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.APE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.APD GOTO ERROR2
ECHO AEROPLUME data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.APD DEL %HGSYSTEM%\DICT.APD > NUL
ECHO ERRORS have been found during APDD run
ECHO See the file DICT.APE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during APDD run
ECHO AEROPLUME data dictionary NOT successfully preprocessed
:EXIT
ECHO AP============== End   of APDD    batch file ================
