@ECHO OFF
ECHO DP============== Start of DPDD    batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST DPDDF.DCT GOTO DICTOK
ECHO DPDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.DPE DEL DICT.DPE
IF EXIST %HGSYSTEM%\DICT.DPD DEL %HGSYSTEM%\DICT.DPD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO DPDDF > HGSYST$$.TIT
ECHO DPI >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.DPD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, DPDDF.DCT
REM Output: %HGSYSTEM%\DICT.DPD
REM         DICT.DPE (in case of errors)
ECHO Preprocessing of DATAPROP data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.DPE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.DPD GOTO ERROR2
ECHO DATAPROP data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.DPD DEL %HGSYSTEM%\DICT.DPD
ECHO ERRORS have been found during DPDD run
ECHO See the file DICT.DPE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during DPDD run
ECHO DATAPROP data dictionary NOT successfully preprocessed
:EXIT
ECHO DP============== End   of DPDD    batch file ================
