@ECHO OFF
ECHO G2============== Start of G2DD    batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST G2DDF.DCT GOTO DICTOK
ECHO G2DDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.G2E DEL DICT.G2E
IF EXIST %HGSYSTEM%\DICT.G2D DEL %HGSYSTEM%\DICT.G2D
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO G2DDF > HGSYST$$.TIT
ECHO G2I >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.G2D >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, G2DDF.DCT
REM Output: %HGSYSTEM%\DICT.G2D
REM         DICT.G2E (in case of errors)
ECHO Preprocessing of GET2COL data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.G2E GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.G2D GOTO ERROR2
ECHO GET2COL data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.G2D DEL %HGSYSTEM%\DICT.G2D
ECHO ERRORS have been found during G2DD run
ECHO See the file DICT.G2E for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during G2DD run
ECHO GET2COL data dictionary NOT successfully preprocessed
:EXIT
ECHO G2============== End   of G2DD    batch file ================
