@ECHO OFF
ECHO HL============== Start of HFLDD   batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST HFLDDF.DCT GOTO DICTOK
ECHO HFLDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.HLE DEL DICT.HLE
IF EXIST %HGSYSTEM%\DICT.HLD DEL %HGSYSTEM%\DICT.HLD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO HFLDDF > HGSYST$$.TIT
ECHO HLI >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.HLD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, HFLDDF.DCT
REM Output: %HGSYSTEM%\DICT.HLD
REM         DICT.HLE (in case of errors)
ECHO Preprocessing of HFSPILL data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.HLE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.HLD GOTO ERROR2
ECHO HFSPILL data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.HLD DEL %HGSYSTEM%\DICT.HLD
ECHO ERRORS have been found during HFLDD run
ECHO See the file DICT.HLE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during HFLDD run
ECHO HFSPILL data dictionary NOT successfully preprocessed
:EXIT
ECHO HL============== End   of HFLDD   batch file ================
