@ECHO OFF
ECHO HP============== Start of HFPDD   batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST HFPDDF.DCT GOTO DICTOK
ECHO HFPDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.HPE DEL DICT.HPE
IF EXIST %HGSYSTEM%\DICT.HPD DEL %HGSYSTEM%\DICT.HPD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO HFPDDF > HGSYST$$.TIT
ECHO HPI >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.HPD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, HFPDDF.DCT
REM Output: %HGSYSTEM%\DICT.HPD
REM         DICT.HPE (in case of errors)
ECHO Preprocessing of HFPLUME data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.HPE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.HPD GOTO ERROR2
ECHO HFPLUME data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.HPD DEL %HGSYSTEM%\DICT.HPD
ECHO ERRORS have been found during HFPDD run
ECHO See the file DICT.HPE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during HFPDD run
ECHO HFPLUME data dictionary NOT successfully preprocessed
:EXIT
ECHO HP============== End   of HFPDD   batch file ================
