@ECHO OFF
ECHO HS============== Start of HGSDD   batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST HGSDDF.DCT GOTO DICTOK
ECHO HGSDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.HSE DEL DICT.HSE
IF EXIST %HGSYSTEM%\DICT.HSD DEL %HGSYSTEM%\DICT.HSD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO HGSDDF > HGSYST$$.TIT
ECHO HSI >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.HSD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, HGSDDF.DCT
REM Output: %HGSYSTEM%\DICT.HSD
REM         DICT.HSE (in case of errors)
ECHO Preprocessing of HEGADAS-S data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.HSE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.HSD GOTO ERROR2
ECHO HEGADAS-S data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.HSD DEL %HGSYSTEM%\DICT.HSD
ECHO ERRORS have been found during HGSDD run
ECHO See the file DICT.HSE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during HGSDD run
ECHO HEGADAS-S data dictionary NOT successfully preprocessed
:EXIT
ECHO HS============== End   of HGSDD   batch file ================
