@ECHO OFF
ECHO HT============== Start of HGTDD   batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST HGTDDF.DCT GOTO DICTOK
ECHO HGTDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.HTE DEL DICT.HTE
IF EXIST %HGSYSTEM%\DICT.HTD DEL %HGSYSTEM%\DICT.HTD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO HGTDDF > HGSYST$$.TIT
ECHO HTI >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.HTD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, HGTDDF.DCT
REM Output: %HGSYSTEM%\DICT.HTD
REM         DICT.HTE (in case of errors)
ECHO Preprocessing of HEGADAS-T data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.HTE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.HTD GOTO ERROR2
ECHO HEGADAS-T data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.HTD DEL %HGSYSTEM%\DICT.HTD
ECHO ERRORS have been found during HGTDD run
ECHO See the file DICT.HTE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during HGTDD run
ECHO HEGADAS-T data dictionary NOT successfully preprocessed
:EXIT
ECHO HT============== End   of HGTDD   batch file ================
