@ECHO OFF
ECHO LP============== Start of LPDD batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST LPDDF.DCT GOTO DICTOK
ECHO LPDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.LPE DEL DICT.LPE
IF EXIST %HGSYSTEM%\DICT.LPD DEL %HGSYSTEM%\DICT.LPD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO LPDDF > HGSYST$$.TIT
ECHO LPI >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.LPD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, LPDDF.DCT
REM Output: %HGSYSTEM%\DICT.LPD
REM         DICT.LPE (in case of errors)
ECHO Preprocessing of LPOOL data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.LPE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.LPD GOTO ERROR2
ECHO LPOOL data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.LPD DEL %HGSYSTEM%\DICT.LPD
ECHO ERRORS have been found during LPDD run
ECHO See the file DICT.LPE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during LPDD run
ECHO LPOOL data dictionary NOT successfully preprocessed
:EXIT
ECHO LP============== End of LPDD batch file ================
