@ECHO OFF
ECHO PS============== Start of PSDD    batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST PSDDF.DCT GOTO DICTOK
ECHO PSDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.PSE DEL DICT.PSE
IF EXIST %HGSYSTEM%\DICT.PSD DEL %HGSYSTEM%\DICT.PSD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO PSDDF > HGSYST$$.TIT
ECHO PSI >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.PSD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, PSDDF.DCT
REM Output: %HGSYSTEM%\DICT.PSD
REM         DICT.PSE (in case of errors)
ECHO Preprocessing of PSMAIN data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.PSE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.PSD GOTO ERROR2
ECHO PSMAIN data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.PSD DEL %HGSYSTEM%\DICT.PSD
ECHO ERRORS have been found during PSDD run
ECHO See the file DICT.PSE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during PSDD run
ECHO PSMAIN data dictionary NOT successfully preprocessed
:EXIT
ECHO PS============== End   of PSDD    batch file ================
