@ECHO OFF
ECHO SP============== Start of SPDD    batch file ================
REM
REM ----check if data dictionary exists; if not, terminate
REM
IF EXIST SPDDF.DCT GOTO DICTOK
ECHO SPDDF.DCT data dictionary file does not exist - program terminated
GOTO EXIT
:DICTOK
IF EXIST DICT.SPE DEL DICT.SPE > NUL
IF EXIST %HGSYSTEM%\DICT.SPD DEL %HGSYSTEM%\DICT.SPD
REM
REM ----copy names to file (to set file names in DDMAIN)
REM
ECHO SPDDF > HGSYST$$.TIT
ECHO SPI >> HGSYST$$.TIT
ECHO %HGSYSTEM%\DICT.SPD >> HGSYST$$.TIT
REM Input: HGSYST$$.TIT, SPDDF.DCT
REM Output: %HGSYSTEM%\DICT.SPD
REM         DICT.SPE (in case of errors)
ECHO Preprocessing of SPILL data dictionary is in progress
DDMAIN
REM
REM ----erase temporary files
REM
IF EXIST HGSYST$$.TIT DEL HGSYST$$.TIT
REM
REM ----check if data dictionary successfully preprocessed
REM
IF EXIST DICT.SPE GOTO ERROR1
IF NOT EXIST %HGSYSTEM%\DICT.SPD GOTO ERROR2
ECHO SPILL data dictionary successfully preprocessed
GOTO EXIT
:ERROR1
IF EXIST %HGSYSTEM%\DICT.SPD DEL %HGSYSTEM%\DICT.SPD > NUL
ECHO ERRORS have been found during SPDD run
ECHO See the file DICT.SPE for list of errors
GOTO EXIT
:ERROR2
ECHO ERRORS have been found during SPDD run
ECHO SPILL data dictionary NOT successfully preprocessed
:EXIT
ECHO SP============== End   of SPDD    batch file ================
